// $Id: UFL_lp_param.hpp,v 1.2 2003/12/03 01:46:35 magh Exp $

/* ------------------------------------------------------------------------
 Author: Matthew Galati (magh@lehigh.edu)

 (c) Copyright 2003 Lehigh University. All Rights Reserved.

 This software is licensed under the Common Public License. Please see 
 accompanying file for terms.    
---------------------------------------------------------------------------*/

#ifndef _UFL_LP_PARAM_H
#define _UFL_LP_PARAM_H

struct UFL_lp_par {
   enum chr_params{
      chr_dummy,
      end_of_chr_params
   };
   enum int_params{
      UFL_KnapsackCover,
      UFL_LiftAndProject,
      UFL_SimpleRounding,
      UFL_OddHole,
      UFL_Gomory,
      end_of_int_params
   };
   enum dbl_params{
      UFL_tolerance,
      end_of_dbl_params
   };
   enum str_params{
      str_dummy,
      end_of_str_params
   };
   enum str_array_params{
      str_array_dummy,
      end_of_str_array_params
   };
};

#endif
