// $Id: UFL_tm_param.cpp,v 1.2 2003/12/03 01:46:35 magh Exp $

/* ------------------------------------------------------------------------
 Author: Matthew Galati (magh@lehigh.edu)

 (c) Copyright 2003 Lehigh University. All Rights Reserved.

 This software is licensed under the Common Public License. Please see 
 accompanying file for terms.    
---------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------*/
#include "UFL_tm_param.hpp"
#include "BCP_parameters.hpp"

using std::make_pair;

template <>
void BCP_parameter_set<UFL_tm_par>::create_keyword_list() {

   // Create the list of keywords for parameter file reading
   //--------------------------------------------------------------------------
   // StringPar
   keys.push_back(make_pair(BCP_string("UFL_datafile"),
 			    BCP_parameter(BCP_StringPar,UFL_datafile)));
}

/*-------------------------------------------------------------------------*/
template <>
void BCP_parameter_set<UFL_tm_par>::set_default_entries(){
   set_entry(UFL_datafile,"");
}
